Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1342822

Summary: [Gtk3] [Wayland] Detached toolbars have title drawn over content
Product: [Fedora] Fedora Reporter: Christian Stadelmann <fedora>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: caolanm, dtardon, erack, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libreoffice-5.1.4.2-3.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-27 18:25:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    
Attachments:
Description Flags
A screenshot of a detached LibreOffice toolbar
none
Screenshot of LibreOffice running inside weston none

Description Christian Stadelmann 2016-06-05 15:59:13 UTC
Created attachment 1164919 [details]
A screenshot of a detached LibreOffice toolbar

Description of problem:
Once a toolbar is detached in LibreOffice running on wayland backend, the toolbar is overlapped by its title.

Version-Release number of selected component (if applicable):
libreoffice-5.1.3.2-7.fc24.x86_64 with gtk3-3.20.6-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open any LibreOffice component (Writer, Calc, Base, …)
2. Detach any toolbar by dragging it
3. Have a look at the toolbar, try to interact with it

Actual results:
A title is drawn twice, once in window "decorations" and once in the toolbar, hiding some elements (see attached screenshot).

Expected results:
Title only needs to be drawn in decorations, must not hide toolbar elements.

Comment 1 Christian Stadelmann 2016-06-05 16:35:11 UTC
Created attachment 1164920 [details]
Screenshot of LibreOffice running inside weston

This issue is also present when running LibreOffice with Gtk3 inside weston. In this case, the toolbar is also cropped.

Comment 2 Christian Stadelmann 2016-06-24 16:56:18 UTC
No, this issue is not fixed in 5.1.4.1-3.fc24, it is still present in libreoffice-5.1.4.2-1.fc24.x86_64.

Comment 3 Christian Stadelmann 2016-06-24 16:59:40 UTC
(In reply to Christian Stadelmann from comment #2)
> No, this issue is not fixed in 5.1.4.1-3.fc24, it is still present in
> libreoffice-5.1.4.2-1.fc24.x86_64.

You probably meant libreoffice-5.1.4.2-3.fc24.

Comment 4 Fedora Update System 2016-06-25 20:11:58 UTC
libreoffice-5.1.4.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2bf872a06

Comment 5 Fedora Update System 2016-06-26 19:26:15 UTC
libreoffice-5.1.4.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2bf872a06

Comment 6 Fedora Update System 2016-06-27 18:24:49 UTC
libreoffice-5.1.4.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.